Subject: Re: bug#5175: 23.1.50; mark deactivated without running deactivate-mark-hook when replying with Gnus

From: Chong Yidong <[email-masked]>
Date: Sat, 02 Jan 2010 14:20:26 -0500

Katsumi Yamaoka <[email-masked]> writes:

>> 	* message.el (message-exchange-point-and-mark): Call
>> 	exchange-point-and-mark with an argument rather than setting
>> 	mark-active by hand (Bug#5175).
>
> This incompatible change makes Gnus not work with old Emacsen, so
> I don't merge it to the Gnus trunk, i.e., No Gnus.  Any idea not
> to use the argument of `exchange-point-and-mark'?

I've reworked the change to use the simpler functions from my previous
message; I think this should solve the backward compatibility problem.